tbb::internal::no_copy Class Reference

Base class for types that should not be copied or assigned. More...

`#include <tbb_stddef.h>`

Inheritance diagram for tbb::internal::no_copy:
Collaboration diagram for tbb::internal::no_copy:

## Public Member Functions

| no_copy (const no_copy &)=delete
| no_copy ()=default

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

Base class for types that should not be copied or assigned.

Definition at line 330 of file tbb_stddef.h.

## Constructor & Destructor Documentation

## no_copy() [1/2]

tbb::internal::no_copy::no_copy | ( | const no_copy & |  | ) |

delete

## no_copy() [2/2]

tbb::internal::no_copy::no_copy | ( |  | ) |

default

The documentation for this class was generated from the following file:

- tbb_stddef.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.